Package org.eclipse.e4.ui.css.core.dom.properties.converters

# Class CSSValueConverterConfigColorImpl

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.converters.CSSValueConverterConfigColorImpl

All Implemented Interfaces:
  `ICSSValueConverterColorConfig`, `ICSSValueConverterConfig`

public class CSSValueConverterConfigColorImpl extends Object implements ICSSValueConverterColorConfig
CSS Value converter color config to format the CSSValue string color.

Version:
  1.0.0
Author:
  Angelo ZERR

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICSSValueConverterConfig`
`COLOR_HEXA_FORMAT_CONFIG`
`static final ICSSValueConverterConfig`
`COLOR_NAME_FORMAT_CONFIG`
`static final ICSSValueConverterConfig`
`COLOR_RGB_FORMAT_CONFIG`

### Fields inherited from interface org.eclipse.e4.ui.css.core.dom.properties.converters.ICSSValueConverterColorConfig

`COLOR_HEXA_FORMAT, COLOR_NAME_FORMAT, COLOR_RGB_FORMAT`

## Constructor Summary

Constructors
Constructor
Description
`CSSValueConverterConfigColorImpl(int format)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFormat()`
Return format (Hexadecimal color, Color name, RGB color).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLOR_HEXA_FORMAT_CONFIG

public static final ICSSValueConverterConfig COLOR_HEXA_FORMAT_CONFIG

### COLOR_NAME_FORMAT_CONFIG

public static final ICSSValueConverterConfig COLOR_NAME_FORMAT_CONFIG

### COLOR_RGB_FORMAT_CONFIG

public static final ICSSValueConverterConfig COLOR_RGB_FORMAT_CONFIG

## Constructor Details

### CSSValueConverterConfigColorImpl

public CSSValueConverterConfigColorImpl(int format)

## Method Details

### getFormat

public int getFormat()
Description copied from interface: `ICSSValueConverterColorConfig`
Return format (Hexadecimal color, Color name, RGB color).

Specified by:
  `getFormat` in interface `ICSSValueConverterColorConfig`